<?php

require_once("inc.php");

$conn  = get_conn();
$sql   = "SELECT COUNT(*) as total FROM `expense`";

$ym = isset($_GET['ym']) ? $_GET['ym'] : '';

if (!empty($ym))
{
    list($year, $month) = split('-', $ym);
    $yearn  = $year;
    $monthn = $month + 1;
    if ($monthn == 13) 
    {
        $monthn = 1;
        $yearn  = $year + 1;
    }
    $times  = mktime(0, 0, 0, $month, 1, $year);
    $timee  = mktime(0, 0, 0, $monthn, 1, $yearn);

    $timerange = " WHERE `time` > $times AND `time` < $timee";
    $sql .= $timerange;
}

$res   = exec_sql($conn, $sql);
$row   = $res->fetch_assoc();
$total = $row['total'];
$pages = ceil($total / conf::itpp);

$page = 1;
if (isset($_GET['page']))
{
    $page = intval($_GET['page']);
    if ($page < 1) $page = 1;
    if ($page > $pages) $page = $pages;
}

$start = ($page - 1) * conf::itpp;
$sql = "SELECT * FROM `expense` "
     . $timerange
     . " ORDER BY `time` DESC "
     . " LIMIT $start," . conf::itpp;
$res = exec_sql($conn, $sql);

$data = array();
if ($conn->affected_rows != 0)
{
    while ($row = $res->fetch_assoc())
    {
        $data[] = $row;
    }
}

?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html;charset=utf-8"/>
<title>花钱如流水</title>
<link href="style.css" rel="stylesheet"/>
</head>
<body>
<?php

if (count($data) == 0)
{
    echo "暂无开销~";
}
else 
{
    echo <<<eot
<p>$ym 所有开销 (<a href="analyse.php?ym=$ym">开销分析</a>)</p>
<table cellspacing="2" cellpadding="1">
<tr><td width="160">时间</td><td width="60">谁</td><td width="80">开销</td><td>用途</td><td>操作</td></tr>

eot;
    foreach ($data as $row)
    {
        $id     = $row['id'];
        $tm     = date("Y-m-d H:i", $row['time']);
        $amount = $row['amount'] / 100.0;
        $reason = htmlspecialchars($row['reason']);
        $who    = conf::$name_map[$row['who']];
        $who    = htmlspecialchars($who);
        echo <<<eot
<tr><td>$tm</td><td>$who</td><td>$amount</td><td>$reason</td><td><a href="del.php?id=$id" onclick="return confirm('确定?');">删除</a></td></tr>

eot;
    }
    echo "</table>\n";

    $prev = $page - 1;
    if ($prev < 1) $prev = 1;
    $next = $page + 1;
    if ($next > $pages) $next = $pages;
    echo <<<eot
<hr width="340" align="left"/>
分页: $page/$pages 页 
<a href="view.php?page=$prev&ym=$ym">上一页</a>
<a href="view.php?page=$next&ym=$ym">下一页</a>
<form style="display:inline" method="get">
转到<input type="text" size="2" name="page" value="1"/>页
<input type="hidden" name="ym" value="$ym"/>
<input type="submit" value="Go"/>
</form>
eot;
}
?>
<hr width="340" align="left"/>
<a href="view.php">显示全部</a> |
<form method="get" style="display:inline">
按月查看：
<input type="text" size="5" name="ym" value="<?php echo empty($ym) ? date("Y-m") : $ym;?>"/>
<input type="submit" value="Go"/>
</form>
<hr width="340" align="left"/>
<a href="index.php">返回</a>
</body>
</html>
